package com.ruoyi.ss.store.service;

import com.ruoyi.ss.store.domain.StoreVo;

import java.util.List;

/**
 * @author wjh
 * 2024/4/29
 */
public interface StoreAssembler {

    /**
     * 拼接设备数量
     * @param list 店铺列表
     */
    void assembleDeviceCount(List<StoreVo> list);

    /**
     * 拼接营收数据
     */
    void assembleRevenue(List<StoreVo> list);

    /**
     * 拼接本月收入
     * @param list
     */
    void assembleMonthIncome(List<StoreVo> list);

    /**
     * 拼接本日收入
     * @param list
     */
    void assembleTodayIncome(List<StoreVo> list);

    /**
     * 拼接上月收入
     * @param list
     */
    void assembleLastMonthIncome(List<StoreVo> list);

    /**
     * 拼接在线数量
     * @param list
     */
    void assembleOnlineCount(List<StoreVo> list);

    /**
     * 拼接离线数量
     * @param list
     */
    void assembleOfflineCount(List<StoreVo> list);

    /**
     * 拼接可共享设备数量
     * @param list
     */
    void assembleAvailableDeviceCount(List<StoreVo> list);

    /**
     * 拼接操作
     */
    void assembleOperator(List<StoreVo> list, Long userId);
}
